<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>CustomSuccessHandler.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (29-Oct-2022 4:03:09 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.webconfig</a> &gt; <span class="el_source">CustomSuccessHandler.java</span></div><h1>CustomSuccessHandler.java</h1><pre class="source lang-java linenums">package com.example.demo.webconfig;

import java.io.IOException;
import java.util.Set;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.authority.AuthorityUtils;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;

<span class="nc" id="L14">public class CustomSuccessHandler implements AuthenticationSuccessHandler {</span>

	@Override
	public void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response,
			Authentication authentication) throws IOException, ServletException {
<span class="nc" id="L19">		Set&lt;String&gt; roles=AuthorityUtils.authorityListToSet(authentication.getAuthorities());</span>
<span class="nc bnc" id="L20" title="All 2 branches missed.">		if(roles.contains(&quot;ROLE_ADMIN&quot;))</span>
		{
<span class="nc" id="L22">			response.sendRedirect(&quot;/admin/&quot;);</span>
		
<span class="nc" id="L24">	}else {</span>
<span class="nc" id="L25">		response.sendRedirect(&quot;/user/&quot;);</span>
	}

<span class="nc" id="L28">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (29-Oct-2022 4:03:09 pm)</div></body></html>